openSUSE Security Update : go (openSUSE-2018-218)

High Nessus Plugin ID 107128

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for go fixes the following issues :

Security issues fix in version 1.9.4 :

- CVE-2018-6574: 'go get' remote command execution during source code build (bsc#1080006).

Bug fixes :

- bsc#1082409: Review dependencies (requires, recommends and supports).

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected go packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1080006

https://bugzilla.opensuse.org/show_bug.cgi?id=1082409

Plugin Details

Severity: High

ID: 107128

File Name: openSUSE-2018-218.nasl

Version: 3.3

Type: local

Agent: unix

Published: 2018/03/05

Modified: 2018/03/19

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:go, p-cpe:/a:novell:opensuse:go-race, p-cpe:/a:novell:opensuse:go1.9, p-cpe:/a:novell:opensuse:go1.9-debuginfo, p-cpe:/a:novell:opensuse:go1.9-debugsource, p-cpe:/a:novell:opensuse:go1.9-race, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/03/02

Reference Information

CVE: CVE-2018-6574